Subject: RE: [rohc] Regarding SIP and sigcomp

From: [email-masked]
Date: Wed, 31 Mar 2004 11:57:10 -0500

Hi Suman,
 
This is still one issue in the on-going I-D: http://www.ietf.org/internet-drafts/draft-ietf-rohc-sigcomp-sip-01.txt. As you said, it's a tradeoff between compression ratio and memory.
 
In your case, how many active endpoints a SIP proxy need to support? By active, I mean an endpoint that has compartment open at proxy. (Note: to be accurate, we should count the number of compartment because one endpoint can have multiple compartments created in SIP proxy, but let's for now assume the simple/practical case of one-to-one. )
 
With 2KB SMS, 1GB memory can support about 524, 000 endpoints. I don't know how much a cost issue that would be. Personally, I tend to think it is not a big deal (you can buy 1GB memory for PC with $250 ~ $500). But it can be more expensive depending on platform, etc.
 
Again, the bottom line is, how much you want to pay for what compression ratio (and ultimately reduction in call setup delay).
 
BR,
Zhigang

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of ext suman
Sent: 31 March, 2004 12:20 AM
To: [email-masked]
Subject: [rohc] Regarding SIP and sigcomp

Hi,
 
    The SigComp solution for compressing messages requires state memory to be allocated
on a per compartment basis.  For a sip endpoint, the recommended state memory size is 2048 bytes.
   However, for a SIP proxy implementing SIGCOMP and handling thousands of endpoints, maintaining so many states requires memory which most of the proxies cannot afford.
  Going for a simple stateless mechanism is one way of alleviating this problem, but the compromise
is the lower compression ratio.
 
  What is the recommded implementation at the SIP proxy ?? Is is stateful or stateless,..??
 
   Any comments on this would be useful,
 
thanks
suman